.overol{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.a {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
}
.b{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}